Bug 194610 - IO-APIC panic on booting on MacBook Pro (intermitent)
IO-APIC panic on booting on MacBook Pro (intermitent)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
: 195275 (view as bug list)
Depends On:
Blocks: 199990
  Show dependency treegraph
 
Reported: 2006-06-14 08:27 EDT by Alexander Larsson
Modified: 2008-05-06 20:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:32:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2006-06-14 08:27:20 EDT
This is really weird. I installed a default install from the rawhide-20060614
tree on my new MacBook Pro. The install went fine, but apparently something
wasn't right in the MBR setup, so i wanted to install again. But now i get a
kernel panic each time i boot the install cd, and its the exact same media I
used the first time!

This is the end of the boot (typed in by hand):

Total of 2 processors activated (5153.84 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2 = -1
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer (IRQ0) throught the 8259A ... failed.
...trying to set up timer as Virtual Wire IRQ... failed.
...trying to set up timer as ExtINT IRQ ... failed :(.
Kernel panic - not syncing: IO-APIC + timer doesn't work! Boot with apic=debug
and send a report. Then try booting with the 'noapic' option

Then comes a backtrace, but is not that interesting. It goes: panic,
release_console_sem, printk, do_boot_cpu, smp_prepare_cpus, init, init,
kernel_thread_helper.
Comment 1 Alexander Larsson 2006-06-14 08:32:39 EDT
Uhm... with apic=debug it booted...
Comment 2 Alexander Larsson 2006-06-14 08:34:12 EDT
Although the cursor is blinking *very* fast, so there might be an issue with the
timer after all...
Comment 3 Dave Jones 2006-06-14 18:08:21 EDT
*** Bug 195275 has been marked as a duplicate of this bug. ***
Comment 4 Alexander Larsson 2006-06-15 04:11:04 EDT
This seems to randomly happen, but when it happens it seems to be repeatable if
you immediately reboot.
Comment 5 Jurgen Kramer 2006-06-23 11:16:19 EDT
This bug also occurs on the MacBook (non Pro). Sometimes I have to powercycle a
couple of times before the kernel will actually get through.
Comment 6 Wade Mealing 2006-07-08 08:31:06 EDT
macbook here.

Linux localhost.localdomain 2.6.17-1.2358.fc6PAE #1 SMP Fri Jul 7 04:18:02 EDT
2006 i686 i686 i386 GNU/Linux

Can reproduce every boot.  Seems boot into the operating system though without
any real issues, a number of other things fail though. 
Comment 7 Wade Mealing 2006-07-08 08:43:20 EDT
My apologies I assumed it was the same bug and it is not.
Comment 8 Wade Mealing 2006-07-16 01:38:50 EDT
Linux localhost.localdomain 2.6.17-1.2399.fc6 #1 SMP Fri Jul 14 17:43:48 EDT
2006 i686 i686 i386 GNU/Linux

seems to have gone.
Comment 9 Wade Mealing 2006-08-01 02:19:09 EDT
Nope, back again. (2.6.17-1.2462)

Been able to reproduce it every time though.

Run pm-suspend

Reboot.

Bug appears.
Comment 10 Igor Foox 2006-09-22 10:51:40 EDT
Running on a Mac Book Pro here as well, still happens intermittently.
I haven't trying with apic=debug, but booting with noapic solves it, and
rebooting with no extra options also sometimes makes it go through.

$ uname -a
Linux treason 2.6.17-1.2647.fc6 #1 SMP Wed Sep 13 12:51:50 EDT 2006 i686 i686
i386 GNU/Linux
Comment 11 Jurgen Kramer 2006-10-08 11:11:05 EDT
After a long absence this dreaded bug is back again :( 
The newer kernels > 2.6.18-1.2741 and up have this again. Booting on a Macbook
is really a hit-and-miss afair, 4 out of 5 tries result in the kernel panic.


2.6.18-1.2747 is the latest tested kernel with this problem.

Comment 12 Wade Mealing 2007-03-22 03:52:17 EDT
Seems to be fixed in FC7T2 kernels no longer need the noapic option to get it to
boot.
Comment 13 David Favor 2007-06-21 14:45:49 EDT
This bug is back for Macs, intermittently.

The LiveCD I'm using is 2.6.21-1.3194.fc7 and it comes up around
1 out of 4 times.

As this is such a reoccurring problem, perhaps APIC should be turned
off in the default boot paramenters.
Comment 14 Bug Zapper 2008-04-03 13:22:21 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 15 Bug Zapper 2008-05-06 20:32:06 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.